Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.dynamicconfig.api
Interface PluginParameterConstraint

All Known Subinterfaces:
  PluginParameterConstraintDynamicSet, PluginParameterConstraintEnum, PluginParameterConstraintRangeNumeric

    public interface PluginParameterConstraint

Base interface for constraints on parameter values. Constraints are associated with the class that describes the parameter - `PluginParameterMeta`. The configuration framework will validate configuration values using `validate` method on `PluginParameterConstraint`.

Method Summary
`String` | `getDescription()` Returns the description of this constraint.
`void` | `setDescription(String description)` Sets up a description for this constraint.
`void` | `validate(StringBuffer errorBuffer, PluginConfigParameter configParameter)` Validates the parameter value in the given `PluginConfigParameter`.

Method Detail

### getDescription

    String getDescription()

  Returns the description of this constraint.

  Returns:
    description of the constraint

### setDescription

    void setDescription(String description)

  Sets up a description for this constraint. Descriptions should be internationalized.

  Parameters:
    `description` - a short descrption of this constraint

### validate

    void validate(StringBuffer errorBuffer,
                  PluginConfigParameter configParameter)

  Validates the parameter value in the given `PluginConfigParameter`. The descriptions of the problems will be appended to the `StringBuffer` that is passed in. If there multiple problems with the value, all the problem descriptions will be appended into the buffer instead of just a description of the first problem encountered.

  Parameters:
    `errorBuffer` - StringBuffer which will contain problem descriptions. If there are multiple problems, all the problem descriptions will be in this buffer, appended one after the other.
    `configParameter` - `PluginConfigParameter` with the value that is to validated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD